#%%global		debug_package %%{nil}
%global		_hardened_build 1
#define _legacy_common_support 1
%global		_disable_ld_no_undefined %nil

# draco git
%global commit0 4cba1acdd718b700bb33945c0258283689d4eac7
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global gver git%{shortcommit0}

Name:		draco
Version:	1.5.5
Release:	%autorelease
Summary:	A library for compressing and decompressing 3D geometric meshes and point clouds 
License:	Apache-2.0
URL:		https://github.com/google/%{name}
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz

# Only available on x86_64 architecture
ExclusiveArch:	x86_64

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	ninja-build

%description
A library for compressing and decompressing 3D geometric meshes and point clouds

%package	devel
Summary: Development files for draco
Requires: draco >= %{version}-%{release}

%description	devel
%{summary}.

%prep
%autosetup -n %{name}-%{version} 

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
    -DCMAKE_BUILD_TYPE=Release \
    -DBUILD_SHARED_LIBS=ON 

%cmake_build

%install
%cmake_install

# remove static file
rm -f %{buildroot}/%{_libdir}/libdraco.a

%files
%{_bindir}/%{name}_decoder
%{_bindir}/%{name}_decoder-%{version}
%{_bindir}/%{name}_encoder
%{_bindir}/%{name}_encoder-%{version}
%{_libdir}/libdraco.so.7
%{_libdir}/libdraco.so.7.0.0


%files devel
%{_includedir}/%{name}/
%{_datadir}/cmake/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
%autochangelog
